# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94.1"
name = "geiserx_ts_ffi"
version = "0.7.2"
build = "build.rs"
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "c ffi bindings for tailscale-rs"
readme = "README.md"
keywords = [
    "tailscale",
    "c",
    "cbindgen",
    "bindings",
    "ffi",
]
categories = [
    "api-bindings",
    "network-programming",
]
license = "BSD-3-Clause"
repository = "https://github.com/GeiserX/tailscale-rs"

[package.metadata.cargo-machete]
ignored = ["cbindgen"]

[lib]
name = "tailscalers"
crate-type = [
    "cdylib",
    "staticlib",
]
path = "src/lib.rs"

[dependencies.tailscale]
version = "0.7.2"
package = "geiserx_tailscale"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "full",
]
default-features = false

[dependencies.tracing]
version = "0.1"
features = [
    "attributes",
    "release_max_level_info",
]
default-features = false

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[dependencies.ts_keys]
version = "0.7.2"
package = "geiserx_ts_keys"

[build-dependencies.cbindgen]
version = "0.29"

[lints.clippy]
multiple_crate_versions = "allow"
too_many_arguments = "allow"

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.rust]
closure_returning_async_block = "warn"
let-underscore = "warn"
missing_docs = "warn"

[lints.rustdoc]
bare_urls = "deny"
broken_intra_doc_links = "deny"
invalid_html_tags = "deny"
private_intra_doc_links = "deny"
